function [y_new,yd_new]=forward_it_neat(y,yd,deltat,halfdeltat,halfdeltat2,beta,N)
% Compute acceleration consistent with current value of displacement
% Second order Newmark scheme (as in Komatitsch & Vilotte, BSSA, 1998). 
ydd(1,1)=-2*beta*y(1,1)+beta*y(2,1);
for j=2:N-2
 ydd(j,1) = -2*beta*y(j,1) + beta*y(j-1,1)+beta*y(j+1,1);
end 
ydd(N-1,1) = -2*beta*y(N-1,1)+beta*y(N-2,1);
% Update displacement 
y_new=y+deltat*yd+halfdeltat2*ydd; 
% Update acceleration 
ydd_new(1,1) = -2*beta*y_new(1,1)+beta*y_new(2,1);
for j=2:N-2
 ydd_new(j,1) = -2*beta*y_new(j,1) + beta*y_new(j-1,1)+beta*y_new(j+1,1);
end 
ydd_new(N-1,1) = -2*beta*y_new(N-1,1)+beta*y_new(N-2,1);
% Update velocity 
yd_new=yd+halfdeltat*(ydd+ydd_new);
